<!DOCTYPE html>
<html lang="en">
	<head>
		<title>three.js webgl - materials</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
	</head>
	<body>

    <script src="js/three.js"></script>
    <script>
        var container;
        var camera, scene, renderer;
        var pointLight;
        var objects = [];
        init();
        animate();
        function init() {
            container = document.createElement( 'div' );
            document.body.appendChild( container );
            camera = new THREE.PerspectiveCamera( 45, window.innerWidth / window.innerHeight, 1, 2000 );
            camera.position.set( 0, 200, 800 );
            scene = new THREE.Scene();
            // Grid
            var helper = new THREE.GridHelper( 1000, 40, 0x303030, 0x303030 );
            helper.position.y = - 75;
            scene.add( helper );
            // Materials
            var material = new THREE.MeshNormalMaterial();
            // Spheres geometry
            var geometry = new THREE.SphereBufferGeometry( 70, 32, 16 );
            var mesh = new THREE.Mesh( geometry, material );
            mesh.position.x = ( objects.length % 4 ) * 200 - 400;
            mesh.position.z = Math.floor( objects.length / 4 ) * 200 - 200;
            mesh.rotation.x = Math.random() * 200 - 100;
            mesh.rotation.y = Math.random() * 200 - 100;
            mesh.rotation.z = Math.random() * 200 - 100;
            objects.push( mesh );
            scene.add( mesh );
            // Lights
            scene.add( new THREE.AmbientLight( 0x111111 ) );
            pointLight = new THREE.PointLight( 0xffffff, 1 );
            scene.add( pointLight );
            renderer = new THREE.WebGLRenderer( { antialias: true } );
            container.appendChild( renderer.domElement );
            renderer.setSize( window.innerWidth, window.innerHeight );
        }

        function animate() {
            requestAnimationFrame( animate );
            var timer = 0.0001 * Date.now();
            camera.position.x = Math.cos( timer ) * 1000;
            camera.position.z = Math.sin( timer ) * 1000;
            camera.lookAt( scene.position );
            for ( var i = 0, l = objects.length; i < l; i ++ ) {
                var object = objects[ i ];
                object.rotation.x += 0.01;
                object.rotation.y += 0.005;
            }
            renderer.render( scene, camera );
        }
    </script>
	</body>
</html>